/* AUTO-GENERATED FILE. DO NOT MODIFY.
 * This class was automatically generated by the
 * static binding generator from the resources it found.
 * Please do not modify by hand.
 */
package com.tns.gen.java.lang;

public class Object_vendor_27841_26_ImageLoadedListenerImpl extends java.lang.Object
    implements com.tns.NativeScriptHashCodeProvider,
        org.nativescript.widgets.image.Worker.OnImageLoadedListener {
  public Object_vendor_27841_26_ImageLoadedListenerImpl() {
    super();
    com.tns.Runtime.initInstance(this);
  }

  public void onImageLoaded(boolean param_0) {
    java.lang.Object[] args = new java.lang.Object[1];
    args[0] = param_0;
    com.tns.Runtime.callJSMethod(this, "onImageLoaded", void.class, args);
  }

  public int hashCode__super() {
    return super.hashCode();
  }

  public boolean equals__super(java.lang.Object other) {
    return super.equals(other);
  }
}
